<?php
/*
Description: Plugin para pasar a minusculas los mensajes escritos enteramente en mayusculas
Plugin Name: Mata Mayusculas
Plugin URI: http://blog.innerpendejo.net/2008/11/plugin-de-wordpress-para-pasar-a-minusculas-los-mensajes-escritos-enteramente-en-mayusculas.html
Author: Inner El Pendejo
Author URI: http://blog.innerpendejo.net/
Version: 2008/11/16
Modificado a partir del plugin NETEMI: http://gattaca.com.ar/weblog/archivos/2007/05/25/netemi-wordpress-plugin/
*/
//Establece la nota de aviso para el lector que aparecera en el cuerpo del mensaje.
//Si no deseas que aparezca ningun aviso, deja la linea de esta manera: define ("mensaje", "");
define ("mensaje", "\n\n<small><code><em><strong>NOTA DEL ADMINISTRADOR: Tu comentario ha sido transformado a minusculas. Desactiva el Bloqueo de Mayusculas cuando escribas en esta bitacora, por favor.</strong></em></code></small>");
//Establece el minimo numero de caracteres que ha de tener un mensaje para ser transformado. Establecido en 6.
define ("minimo_caracteres", "6");
function fullLower($str){
   // convert to entities
   $subject = htmlentities($str,ENT_QUOTES);
   $pattern = '/&([a-z])(uml|acute|circ';
   $pattern.= '|tilde|ring|elig|grave|slash|horn|cedil|th);/e';
   $replace = "'&'.strtolower('\\1').'\\2'.';'";
   $result = preg_replace($pattern, $replace, $subject);
   // convert from entities back to characters
   $htmltable = get_html_translation_table(HTML_ENTITIES);
   foreach($htmltable as $key => $value) {
      $result = ereg_replace(addslashes($value),$key,$result);
   }
   return(strtolower($result));
}
function mata_mayusculas($comentario_original) {
$num_char=strlen($comentario_original);
  if ($num_char >= minimo_caracteres) {
     $comentario_en_mayusculas = strtoupper($comentario_original);
     if ($comentario_en_mayusculas == $comentario_original) {
        $devolver = fullLower($comentario_original);
        $devolver .= mensaje;
     } else {
        $devolver = $comentario_original;}
  } else {
  $devolver = $comentario_original;}
  return $devolver;
}
add_filter('pre_comment_content', 'mata_mayusculas');
?>
